[arch-commits] Commit in hplip/repos (extra-i686 extra-i686/PKGBUILD)

Tobias Powalowski tpowa at archlinux.org
Sun Jan 31 04:21:09 EST 2010


    Date: Sunday, January 31, 2010 @ 04:21:09
  Author: tpowa
Revision: 66450

Merged revisions 66448 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/hplip/trunk

........
  r66448 | tpowa | 2010-01-31 09:16:30 +0000 (So, 31 Jan 2010) | 2 lines
  
  upgpkg: hplip 3.9.12-4
      added udev acl and fixed udev rule syntax
........

Modified:
  hplip/repos/extra-i686/	(properties)
  hplip/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   20 ++++++++++++++------
 1 file changed, 14 insertions(+), 6 deletions(-)


Property changes on: hplip/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /hplip/trunk:1-64851
   + /hplip/trunk:1-66449

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2010-01-31 09:19:53 UTC (rev 66449)
+++ extra-i686/PKGBUILD	2010-01-31 09:21:09 UTC (rev 66450)
@@ -4,7 +4,7 @@
 
 pkgname=hplip
 pkgver=3.9.12
-pkgrel=3
+pkgrel=4
 pkgdesc="Drivers for HP DeskJet, OfficeJet, Photosmart, Business Inkjet and some LaserJet."
 arch=('i686' 'x86_64')
 url="http://hplipopensource.com"
@@ -25,10 +25,16 @@
 
 build() {
  cd $srcdir/$pkgname-$pkgver
- ./configure --prefix=/usr --enable-qt4 --enable-foomatic-rip-hplip-install \
-             --enable-foomatic-ppd-install --enable-hpcups-install \
-             --enable-cups-drv-install --enable-hpijs-install \
-             --enable-foomatic-drv-install
+ ./configure --prefix=/usr \
+             --enable-qt4 \
+             --enable-foomatic-rip-hplip-install \
+             --enable-foomatic-ppd-install \
+             --enable-hpcups-install \
+             --enable-cups-drv-install \
+             --enable-hpijs-install \
+             --enable-foomatic-drv-install \
+             --enable-udev-acl-rules
+
  make || return 1
  make DESTDIR=$pkgdir/ install
 
@@ -40,6 +46,8 @@
  mv $pkgdir/etc/udev/rules.d/* $pkgdir/lib/udev/rules.d/
  rm -r $pkgdir/etc/udev
  # remove lp user, it's not used on archlinux
- sed -i 's|OWNER="lp", ||g' $pkgdir/lib/udev/rules.d/55-hpmud.rules
+ sed -i 's|OWNER="lp", ||g' $pkgdir/lib/udev/rules.d/40-hplip.rules || return 1
+ # fix sysfs rules
+ sed -i -e "s|SYSFS|ATTRS|g" -e "s|sysfs|attrs|g" $pkgdir/lib/udev/rules.d/56-hpmud_support.rules || return 1
 }
 md5sums=('2b0906b4a57b437988829557ca62adfd')



More information about the arch-commits mailing list